#include<stdio.h>
#include<stdlib.h>
#include<graph.h>
#include<math.h>
#include "temps.h"
//faire une boucle tant que le jeu n'est pas fini
//affichage de texte pour afficher le timer
int main(void){
    char tab[50];
    InitialiserGraphique();
    CreerFenetre(0,0,1024,576);
    couleur c=CouleurParComposante(0,0,0);
    ChoisirCouleurDessin(c);
    unsigned long temps;
    unsigned long temps2;
    temps=Microsecondes();
    while (1){
        temps2=(Microsecondes()-temps)/1000000;
        snprintf(tab,50,"%ld secondes ecoulees",temps2);
        c=CouleurParComposante(0,0,0);
		ChoisirCouleurDessin(c);
		RemplirRectangle(863,83,120,20);
		c=CouleurParComposante(255,255,255);
		ChoisirCouleurDessin(c);
		EcrireTexte(867,100,tab,0);
        if(SourisCliquee()){
            printf("x %d y %d",_X,_Y);
        }
    }
    FermerGraphique();
    return EXIT_SUCCESS;
}